Bug 427625 - kscd alsa backend should use 'default' device for proper pulseaudio operation
kscd alsa backend should use 'default' device for proper pulseaudio operation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-05 12:49 EST by Oliver Henshaw
Modified: 2009-01-09 00:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:42:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2008-01-05 12:49:57 EST
Description of problem:

When I play an audiocd with kscd (via direct digital playback with the alsa
backend) it plays fine through the front speaker outputs. However, the output
stream does not appear in the pulseaudio volume control (pavucontrol) and so I
cannot switch to my headphones on the rear speaker output of my soundcard(*).
Presumably I would be unable to take advantage of PAs ability to switch to usb
headphones too.

If I set the alsa output device to 'default' in the kscd configuration (and
restart kscd to make it pick up changes), then the output stream is seen by
pulseaudio, as expected.

The arts backend has no problems with pulseaudio.


* Note that the PA default configuration only uses the first device for each
soundcard. I've added a second output sink with "load-module module-alsa-sink
device=rear sink_name=Headphones" in my .pulse.


Version-Release number of selected component (if applicable):

kdemultimedia-3.5.8-8.fc8
pulseaudio-0.9.7-0.17.svn20071017.fc8
pavucontrol-0.9.5-0.4.svn20070925.fc8


How reproducible:

Steps to Reproduce:
1. Play music in kscd with the alsa backend
2. Open pavucontrol
3. Look for output stream from kscd.
Comment 1 Kevin Kofler 2008-01-05 14:01:17 EST
FWIW the KDE 4 version of Kscd now defaults to Phonon, so for KDE 4 this should 
be fixed by my patch to make Phonon default to the ALSA default device.

The default still needs fixing for Fedora 8 (and arguably 7 too, "default" 
should also be used with dmix) though.
Comment 2 Kevin Kofler 2008-01-05 22:21:01 EST
Should we set the default in kde-settings or should I patch kdemultimedia to 
make it do the right thing by default? There's some code to use "plughw:0,0" as 
the device if the device is not set, we can patch that to "default" or we can 
just set "default" in kde-settings.
Comment 3 Rex Dieter 2008-01-06 09:12:35 EST
If either works (right?), it sounds to me like patching (and pushing upstream)
would be the preferred option.
Comment 4 Bug Zapper 2008-11-26 04:18:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Kevin Kofler 2008-11-26 05:50:16 EST
As I said, this is already fixed in F9, still it should be relatively easy to fix in F8, so maybe we should do it?
Comment 6 Bug Zapper 2009-01-09 00:42:34 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.